summaryrefslogtreecommitdiffstats
path: root/target/linux/kirkwood/base-files
diff options
context:
space:
mode:
authorLuka Perkov <luka@openwrt.org>2016-03-14 17:06:09 +0000
committerLuka Perkov <luka@openwrt.org>2016-03-14 17:06:09 +0000
commitafa1c47e71d56d95d98e981271c35f5d8d8aa78e (patch)
treeb3723f86429a25e426d14416f69f1b23039b75cd /target/linux/kirkwood/base-files
parent1b9c171f88331d2e503fe3c3a2b94a7e15b14fef (diff)
downloadmaster-31e0f0ae-afa1c47e71d56d95d98e981271c35f5d8d8aa78e.tar.gz
master-31e0f0ae-afa1c47e71d56d95d98e981271c35f5d8d8aa78e.tar.bz2
master-31e0f0ae-afa1c47e71d56d95d98e981271c35f5d8d8aa78e.zip
kirkwood/dockstar: use ubi(kernel, squashfs, ubifs) images
The new image requires `bootz` because of devicetree appending. To flash a new image boot initramfs: tftpboot 0x800000 openwrt-kirkwood-dockstar-initramfs-kernel.bin bootz 0x800000 # detach if already attached ubidetach -p /dev/$(grep ubi /proc/mtd|awk -F: '{print $1}') # scp openwrt-kirkwood-dockstar-squashfs-factory.bin /tmp ubiformat -f /tmp/openwrt-kirkwood-dockstar-squashfs-factory.bin # attach is important to resize rootfs_data otherwise it wont boot ubiattach -p /dev/$(grep ubi /proc/mtd|awk -F: '{print $1}') Signed-off-by: Alexander Couzens <lynxis@fe80.eu> SVN-Revision: 49010
Diffstat (limited to 'target/linux/kirkwood/base-files')
-rw-r--r--target/linux/kirkwood/base-files/lib/upgrade/platform.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/target/linux/kirkwood/base-files/lib/upgrade/platform.sh b/target/linux/kirkwood/base-files/lib/upgrade/platform.sh
index c33229a41b..be5f101673 100644
--- a/target/linux/kirkwood/base-files/lib/upgrade/platform.sh
+++ b/target/linux/kirkwood/base-files/lib/upgrade/platform.sh
@@ -14,6 +14,10 @@ platform_check_image() {
}
return 0
;;
+ "dockstar")
+ nand_do_platform_check $board $1
+ return $?
+ ;;
esac
echo "Sysupgrade is not yet supported on $board."
@@ -30,3 +34,13 @@ platform_do_upgrade() {
;;
esac
}
+
+platform_pre_upgrade() {
+ local board=$(kirkwood_board_name)
+
+ case "$board" in
+ "dockstar")
+ nand_do_upgrade $1
+ ;;
+ esac
+}